Subject: Re: bug#50743: Emacsclient not tested vs. Local Variables prompt

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Sep 2021 10:12:02 +0300

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: Phil Sainty <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 26 Sep 2021 14:53:43 +0800
> 
> EZ> So I'm not sure this is a bug.  The user should switch to the correct
> EZ> frame to answer the question.  On my system, there's a prominent
> EZ> indication that the client frame needs my attention...
> 
> Well like when the elevator door opens, we assume we are stepping into
> the elevator and not just the shaft.
> 
> Or when we go to the bathroom we assume we are really in the bathroom.
> 
> ... Please make sure it works for everybody.

It works for everybody already, assuming they have their eyes on the
screen and not on some imaginary shaft or bathroom.

We had our share of "bug" reports from you, whereby trying to cater to
some obscure use case got us in much greater trouble all over the
place, which then took non-trivial efforts to recover from.  So please
forgive me if I'm skeptical that this is really an Emacs problem and
not a case of cockpit error, when such reports come from you.